#!/bin/sh -xe

# 1. install build-base (Alpine) or build-essential (Debian).
# 2. mkdir `distfiles' and download the source tarballs into that directory.
pkgs="skalibs execline s6 s6-rc"
# 3. Run this script as root, and the binary packages will be put into `pkgs'.
confargs="--enable-static-libc"
makeopts='-j2'

mkdir -p build pkgs; cd build
for name in $pkgs; do
	pkg="$(ls ../distfiles | sed -r -n 's/^('"$name"'-[0-9.]+)\.tar\.gz$/\1/p')"
	[[ -d "$pkg" ]] || tar xpf ../distfiles/"$pkg".tar.gz
	cd "$pkg"; ./configure $confargs; make $makeopts
	mkdir -p ../"$pkg".pkg; make install DESTDIR=../"$pkg".pkg; cd ..
	tar -C "$pkg".pkg -czpf ../pkgs/"$pkg".tgz .
	tar -C / -xpf ../pkgs/"$pkg".tgz
done

