#!/bin/sh -xe
# This script needs git(1).

git clone https://gitlab.com/CasperVector/slew || true
mkdir -p pkgs build/slew
cd slew; cp -a base init lib main run ../build/slew; cd -
cd build/slew

ln -snf ../base/syslog.ucspi main/syslog
ln -s ../base/devices.udev main
ln -snf ../base/drivers.udev main/drivers
ln -snf ../base/udevd main/devd
rm main/devices.mdev

cp -a base/nftables base/iptables
printf '#!/bin/rc -e\nexit 0\n\n' > base/iptables/prep/up
printf '#!/bin/rc\n\nip link set dev lo up\nexit 0\n\n' > base/network/prep/up
ln -snf ../base/iptables main/firewall

sed -i 's/^getty/agetty/' main/getty./contents
ln -s ../base/udhcpc. main/dhcpc.eth0
echo dhcpc.eth0 >> main/services/contents
sed -i 's/^\${1} -f/busybox &/' init/rc.halt

mkdir run/sshd
sed -i 's/^\[/if ([ -f $logd ]) mv $logd $logd.old\n[/' base/s6log./run

cd -
find build '(' -type d -o -type f -perm -0100 ')' -exec chmod 0755 '{}' ';'
find build -type f -not -perm -0100 -exec chmod 0644 '{}' ';'
tar -C build -czpf pkgs/slew-master.tgz slew

