#!/bin/sh -xe
#
# 1. Obtain the binary package for eudev from Devuan, eg. from:
#    <https://mirrors.dotsrc.org/devuan/devuan/pool/main/e/eudev/>.
# 2. Run this script as root.

for name in pkgs/execline-*.tgz pkgs/s6-*.tgz; do tar -C / -xpf $name; done
apt-get update; apt-get install rc; ln -s /usr/bin/rc /bin/rc
tar -C /etc -xopf pkgs/slew-*.tgz
dpkg-deb -x pkgs/eudev_*.deb eudev; mv eudev/sbin/udevd /sbin; rm -rf eudev

mkdir -p /etc/udhcpc
cp -a /usr/share/doc/busybox-static/examples/udhcp/simple.script \
	/etc/udhcpc/default.script

for name in catchlog fdholder klog devlog sshlog dhcplog klogd syslogd; do
	useradd -r -d /nonexistent -s /usr/sbin/nologin $name
done
/etc/slew/lib/build.rc main; rm -rf /etc/slew/prep.main

sed -i '/^GRUB_CMDLINE_LINUX_DEFAULT=/ {
	s@=.*@="net.ifnames=0 init=/etc/slew/init/rc.boot"@
}' /etc/default/grub
update-grub

